aboutsummaryrefslogtreecommitdiffstats
path: root/pkg/vcs/testdata/linux
diff options
context:
space:
mode:
authorDmitry Vyukov <dvyukov@google.com>2020-07-07 09:06:48 +0200
committerDmitry Vyukov <dvyukov@google.com>2020-07-07 10:40:55 +0200
commitf7b01f08a31f0ab533410a3ba3b74f781674e059 (patch)
tree1c5789396db89c50ee301c12743f2f72da3734ae /pkg/vcs/testdata/linux
parente419f4e6d851d09202e550ac2a5975ef68fd6935 (diff)
pkg/vcs: fix config bisection tests more
config-bisect.pl uses bash-isms and can't run on non-linux. It also silently ignores all errors which made failures very obscure -- the script happily succeeds in presence of any errors. So the test failed later reading .config. Use "set -eu" to not fail silently. Also trace all config-bisect.pl invocations and output. good/bad decisions are important and we always log them in the normal bisection.
Diffstat (limited to 'pkg/vcs/testdata/linux')
-rwxr-xr-xpkg/vcs/testdata/linux/config-bisect.pl4
1 files changed, 3 insertions, 1 deletions
diff --git a/pkg/vcs/testdata/linux/config-bisect.pl b/pkg/vcs/testdata/linux/config-bisect.pl
index 3388e3da0..29a488e58 100755
--- a/pkg/vcs/testdata/linux/config-bisect.pl
+++ b/pkg/vcs/testdata/linux/config-bisect.pl
@@ -1,8 +1,10 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2020 syzkaller project authors. All rights reserved.
# Use of this source code is governed by Apache 2 LICENSE that can be found in the LICENSE file.
# config-bisect.pl -l ctx.git.dir -r -b ctx.git.dir kernelBaselineConfig kernelConfig
+set -eu
+
if [ "$3" == "-r" ]
then
baseline=`cat $6`